%define fontname          unikurd-web
%define fontdir           %{_datadir}/fonts/%{fontname}
%define archivename       unikurdweb

Name:           %{fontname}-font
Version:        20020502
Release:        1%{?dist}
Summary:        A widely used Kurdish font

Group:          User Interface/X
# FIXME:
# Shouldn't we have SFD (or SFD-like) sources? Upstream is *not*
# responding on this
License:        GPLv3
URL:            http://www.kurditgroup.org/node/1337
Source0:        http://www.kurditgroup.org/download/1337/%{archivename}.zip
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch

%description
A widely used Kurdish font which supports various Arabic scripts like 
(Arabic, Kurdish, Persian) and also Latin.


%prep
%setup -q -c %{archivename}


%build


%install
rm -rf $RPM_BUILD_ROOT

install -dm 0755 $RPM_BUILD_ROOT%{fontdir}
install -pm 0644 Unikuweb.ttf $RPM_BUILD_ROOT%{fontdir}


%clean
rm -rf $RPM_BUILD_ROOT


%post
if [ -x %{_bindir}/fc-cache ] ; then
    %{_bindir}/fc-cache -f %{fontdir} || :
fi

%postun
if [ $1 -eq 0 -a -x %{_bindir}/fc-cache ] ; then
    %{_bindir}/fc-cache -f %{fontdir} || :
fi


%files
%defattr(644,root,root,755)
%doc gpl.txt
%dir %{fontdir}/
%{fontdir}/Unikuweb.ttf


%changelog
* Tue Oct 14 2008 Michal Nowak <mnowak@redhat.com> - 20020502
- version is now based on date of last issue of the font
- %%defattr(-,root,root,-) -> %%defattr(644,root,root,755)

* Mon Oct 13 2008 Michal Nowak <mnowak@redhat.com> - 1.00-2
- got rid of -web sub-package
- changed name from unikurd-fonts-web to unikurd-web-font
- minor structural changes in SPEC file

* Tue Jul 30 2008 Michal Nowak <mnowak@redhat.com> - 1.00-1
- initial packaging
- this package should be prepared for another unikurd fonts 
  in sub-packages because on the KurdIT group/unikurd web there
  are plenthora of them, but probably not under suitable licenses

